Page MenuHomePhabricator

Enable import function for WMBE wiki
Closed, DeclinedPublic

Description

Please enable the possibility to import pages on be.wikimedia.org with complete edit history via Special:Import from our wiki website http://www.wikilovesmonuments.be
The contents of this website is under the same license as be.wikimedia.org

I post this request as board member of WMBE, admin on be.wikimedia.org and project leader of Wiki Loves Monuments in Belgium and Luxembourg.

Event Timeline

Romaine created this task.Feb 1 2016, 2:59 PM
Romaine raised the priority of this task from to High.
Romaine updated the task description. (Show Details)
Romaine added a subscriber: Romaine.
Restricted Application added subscribers: JEumerus, Dereckson, Matanya, Aklapper. · View Herald TranscriptFeb 1 2016, 2:59 PM
Romaine updated the task description. (Show Details)Feb 1 2016, 3:00 PM
Romaine set Security to None.

Transwiki import works with wikis on the same wiki-farm if I am not mistaken. Can't you upload them via importupload (XML files) with Special:Import?

I do see an option to export pages from wikilovesmonuments.be, but the page special:Import on be.wikimedia.org seems to be limited to importing from Meta only. Do I miss anything?

Krenair added a subscriber: Krenair.Feb 1 2016, 3:18 PM

We'd have to give out the importupload right to bewikimedia sysops. I don't think that's an issue, other wikis have it.

I do see an option to export pages from wikilovesmonuments.be, but the page special:Import on be.wikimedia.org seems to be limited to importing from Meta only. Do I miss anything?

That's because you need the importer right, which is part of a special usergroup. It has been considered dangerous, so few wikis actually grant it. IIRC it is preferred to use transwiki import but, as I've said, since it's a wiki outside wikimedia (wlm.be) I'm not sure we can enable that. Will check and get back to you with that.

How to get the import right? - Since no local user is able to grant it localy, you'll have to apprach stewards at m:SRP and ask for it.

Best regards.

What I'm thinking (and also chatting with @Krenair) is that, by looking at the file, maybe if there's a interwiki in the m:Interwiki map, you could transwiki from there. The other option is, indeed, adding importupload to sysops or adding import rights.

Change 267685 had a related patch set uploaded (by MarcoAurelio):
Expanding transwiki import sources for be.wikimedia.org

https://gerrit.wikimedia.org/r/267685

Okay, so I created a wlmbe interwiki and added it to the interwiki map at Meta, and then added it to the import sources for be.wikimedia. Once the interwiki map is sync. and the patch merged, I hope this works.

<Glaisher> Also, does that actually work? IIRC, prod cluster can't communicate with most of the internet.

I think Glaisher is right... The default proxy is not set up.

MarcoAurelio closed this task as Declined.Feb 1 2016, 7:05 PM
MarcoAurelio claimed this task.

I granted Romaine local import rights, which he can use to importupload the content. Given the tech difficulties with transwiki import, I'm abandoning the patch submitted and closing this as declined. Feel free to amend if incorrect.

Change 267685 abandoned by MarcoAurelio:
Expanding transwiki import sources for be.wikimedia.org

Reason:
See Phabricator task. This won't work.

https://gerrit.wikimedia.org/r/267685

MarcoAurelio changed the task status from Resolved to Declined.Apr 28 2016, 9:10 AM

I guess the actions above where performed by an automated process. The patch was abandoned, so this task is effectively declined.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:08 PM